Skip to main content
GET
/
vq
/
insider
/
{symbol}
/
summary
Get insider trading summary
curl --request GET \
  --url https://api.vectrade.io/v1/vq/insider/{symbol}/summary \
  --header 'Authorization: Bearer <token>'
{
  "symbol": "<string>",
  "netShares30d": 123,
  "netValue30d": 123,
  "netShares90d": 123,
  "netValue90d": 123,
  "buyCount90d": 123,
  "sellCount90d": 123,
  "mostRecentTransaction": {
    "symbol": "<string>",
    "insiderName": "<string>",
    "title": "<string>",
    "transactionType": "buy",
    "shares": 123,
    "price": 123,
    "totalValue": 123,
    "sharesOwnedAfter": 123,
    "filedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vectrade.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

symbol
string
required

Response

Insider trading summary

symbol
string
required
netShares30d
integer
netValue30d
number
netShares90d
integer
netValue90d
number
buyCount90d
integer
sellCount90d
integer
mostRecentTransaction
object